/*
 * speaker.h - PC Speaker Driver + Emulator
 *
 *  David Olofson, 2001
 */

#ifndef _SPEAKER_H_
#define _SPEAKER_H_

/*
 * Targets
 */
#define	SPK_TARGET_NONE		0
#define	SPK_TARGET_AUDIO	1
#define	SPK_TARGET_CONSOLE	2
#define	SPK_TARGET_XBELL	3

/*
 * Flags
 */
#define	SPK_PREFER_AUDIO	0x00000001

/*
 * Calls.
 */
int SPK_Init(int period, int bass, int flags);
void SPK_SetTickHandler(void (* handler)(void));
void SPK_Close(void);

/*
 * Set sound frequency.
 * (Starts oscillator from phase 0
 * unless it's already playing.)
 */
void SPK_Sound(int frequency);

void SPK_NoSound(void);

#endif /* _SPEAKER_H_ */
